	;************ Script nach dem Tutorial von ClaraFall***********
	;**************************************************************
    ; Teil 1 Das Script
    ;======================================================
    (define (script-fu-eibauoma-hilfslinien p-Bild p-Loeschen p-anzH p-anzV)   
      (let* (                    ;beginn der Variablendefinition
              (hilfslinien-ID 0)
              (zaehler 0)
              (BildBreite 0)
              (BildHoehe  0)
              (TeilBreite 0)
              (TeilHoehe 0)   
            )                    ; ende der Variablendefinition


    ; Löschen vorhandener Hilfslinien
    ; ===============================

    ; Soll wirklich gelöscht werden
    (if  (= p-Loeschen TRUE)
      (begin

    ;Suchen der 1. Hilfslinie
        (set! hilfslinien-ID (car(gimp-image-find-next-guide p-Bild 0)))

    ;Prüfe ob eine  Hilfslinie vorhanden ist
        (while ( <> hilfslinien-ID 0)                     
          (begin

    ; nur wenn die Hilfslinien ID ungleich 0 ist,
    ; wenn also eine Hilfslinie vorhanden ist wird gelöscht
            (gimp-image-delete-guide p-Bild hilfslinien-ID)

    ; Hole die nächste Hilfslinien-ID
            (set! hilfslinien-ID (car(gimp-image-find-next-guide p-Bild 0)))
     
          )
        )
      )
    )

    ; Setzen Horizontaler Hilfslinien
    ; ===============================
      (set! BildBreite (car(gimp-image-width p-Bild)))
      (set! BildHoehe (car(gimp-image-height p-Bild)))

      (set! p-anzH (+ p-anzH 1))
      (set! TeilHoehe (/ BildHoehe p-anzH))

    ; Zähler auf 1 setzen
      (set! zaehler 1)

    ; prüfen ob der Zähler kleiner ist als die Anzahl der Hilfslinien
      (while (<  zaehler p-anzH)
        (begin

    ; Wenn j, dann setze eine Hilfslinie und
          (gimp-image-add-hguide p-Bild (* TeilHoehe zaehler))

    ; Erhöhe den Zähler
          (set! zaehler (+ zaehler 1))
        )
      )

    ; Setzen Vertikaler Hilfslinien
    ; =============================

      (set! p-anzV (+ p-anzV 1))
      (set! TeilBreite (/ BildBreite p-anzV))
      (set! zaehler 1)
      (while (< zaehler  p-anzV)
        (begin
          (gimp-image-add-vguide p-Bild (* TeilBreite zaehler))
          (set! zaehler (+ zaehler 1))
          )
        )

      )   ; ende von let*
    )    ; ende von define


    (script-fu-register                        ;Beginn (script-fu-register)
      "script-fu-eibauoma-hilfslinien"         ;Name der Funktion, die aufgerufen werden soll
      "meine HL"                               ;Name des Skripts
      "Löscht und setzt Hilfslinien"           ;Beschreibung des Skripts
      "eibauoma"                               ;Name des Autors
      "Copyleft by eibauoma"                   ;Copyright-Infos
      "12.03.2012"                             ;Datum
      "RGB* GRAY* INDEXED*"                    ;Bildtypen
      SF-IMAGE "Das Bild" 0
      SF-TOGGLE "Zuerst alle vorhandenen Hilfslinien löschen?" TRUE
      SF-ADJUSTMENT "Anzahl zu setzender Horizontaler Hilfslinien" '(1 0 50 1 10 0 0)
      SF-ADJUSTMENT "Anzahl zu setzender Vertikaler Hilfslinien" '(1 0 50 1 10 0 0)
    )                                    ;Ende (script-fu-register)

    (script-fu-menu-register "script-fu-eibauoma-hilfslinien" "<Image>/CFU/meineHilfslinien")   